%define ALD_Ver		1.2.4
%define VerNr		1.15

Name:         automake-%{VerNr}

License:      GPL
Summary:      This is Automake, a Makefile generator.
Group:        Development/Compilers
Version:      0
Release:      0

Source: %{name}.1.tar.xz

BuildArchitectures: noarch

%define DestDir		/Compiler/perl

%define docdir %{_defaultdocdir}/%{name}
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}

%define BUILD_TAR 1

# ------------------- description ------------------------------------
%description
This is Automake, a Makefile generator.  It was inspired by the 4.4BSD
make and include files, but aims to be portable and to conform to the
GNU Coding Standards for Makefile variables and targets.
Automake is a Perl script.
#-------------------------------
%package amhello
Summary:      Demo for %{name}
Group:        Documentation
%description amhello
Demo for %{name}
#-------------------------------
%package info
Summary:      Info for %{name}
Group:        Documentation
%description info
Info for %{name}

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{name}.1

# ------------------- Build ------------------------------------------
%Build
PATH=$PATH:/opt/perl/bin
export PATH

./configure --prefix=/usr &>FConfigure_log.txt

make &>FMake_log.txt

# ------------------- Install ----------------------------------------
%Install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}
mkdir -p $RPM_BUILD_ROOT%{docdir}

make DESTDIR=$RPM_BUILD_ROOT install &>FInstall_log.txt
rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

rm $RPM_BUILD_ROOT%{_bindir}/aclocal
rm $RPM_BUILD_ROOT%{_bindir}/automake
rm -r $RPM_BUILD_ROOT%{_datadir}/aclocal
rm $RPM_BUILD_ROOT%{_mandir}/man1/aclocal.1
rm $RPM_BUILD_ROOT%{_mandir}/man1/automake.1


cp -a AUTHORS README THANKS $RPM_BUILD_ROOT%{docdir}/
ln -s /usr/share/doc/gpl-2.0.txt $RPM_BUILD_ROOT%{docdir}/COPYING

if test -f /opt/aldccp/bin/packages_idx; then
  /opt/aldccp/bin/packages_idx -p %{name} -v %{version} -r noarch/%{ALD_Ver}%{DestDir} $RPM_BUILD_ROOT
fi

# ------------------- Clean ------------------------------------------
%Clean
pushd %{_rpmdir}/noarch
  mkdir -p %{ALD_Ver}%{DestDir}
  mv %{name}-*%{version}-%{release}.noarch.rpm %{ALD_Ver}%{DestDir}/
popd

# --------------- build *.tgz ------------------------
%if %{BUILD_TAR}
pushd $RPM_BUILD_ROOT
  TMP_TO=%{_rpmdir}/noarch/%{ALD_Ver}%{DestDir}/tar
  mkdir -p $TMP_TO
  tmp=%{name}-%{version}-%{release}.noarch
  mkdir -p $tmp
  cp -r usr $tmp/
  tar -cjf $tmp.tar.bz2 $tmp
  mv $tmp.tar.bz2 $TMP_TO
  rm -r $tmp
popd
%endif  #BUILD_TAR

# ------------------- Files ------------------------------------------
%files
%{_bindir}
%{_datadir}/aclocal-%{VerNr}
%{_datadir}/automake-%{VerNr}
%{_mandir}
%{docdir}/AUTHORS
%{docdir}/COPYING
%{docdir}/README
%{docdir}/THANKS

%files amhello
%{_defaultdocdir}/automake/amhello-*

%files info
%{_infodir}
